Bug 1111774 - FreeBSD port for GlusterFS
Summary: FreeBSD port for GlusterFS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: x86_64
OS: FreeBSD
medium
medium
Target Milestone: ---
Assignee: Chris Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1130308 1171524
TreeView+ depends on / blocked
 
Reported: 2014-06-21 09:24 UTC by Harshavardhana
Modified: 2015-05-14 17:42 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.7.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1130308 (view as bug list)
Environment:
Last Closed: 2015-05-14 17:26:02 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
proposed patch to fix a build error (1.95 KB, patch)
2014-12-07 22:56 UTC, Markiyan Kushnir
no flags Details | Diff

Description Harshavardhana 2014-06-21 09:24:30 UTC
Description of problem:

Placeholder bug for all FreeBSD related porting efforts.

Comment 1 Anand Avati 2014-06-21 09:25:31 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 2 Anand Avati 2014-06-21 09:31:18 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 3 Anand Avati 2014-06-21 09:39:56 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 4 Anand Avati 2014-06-21 21:22:46 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 5 Anand Avati 2014-06-21 22:37:45 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 6 Anand Avati 2014-06-21 23:12:29 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 7 Anand Avati 2014-06-22 00:01:05 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 8 Anand Avati 2014-06-22 00:56:32 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 9 Anand Avati 2014-06-22 07:15:22 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#10) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 10 Anand Avati 2014-06-22 08:28:16 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 11 Anand Avati 2014-06-23 04:48:55 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#12) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 12 Anand Avati 2014-06-23 20:08:27 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#13) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 13 Anand Avati 2014-06-23 20:22:43 UTC
REVIEW: http://review.gluster.org/8155 (glusterd: Use mkdir_p to create '/var/lib/glusterd') posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 14 Anand Avati 2014-06-23 20:23:59 UTC
REVIEW: http://review.gluster.org/8155 (glusterd: Use mkdir_p to create DEFAULT_WORKDIR) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 15 Anand Avati 2014-06-23 20:32:42 UTC
REVIEW: http://review.gluster.org/8155 (glusterd: Use mkdir_p to create DEFAULT_WORKDIR) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 16 Anand Avati 2014-06-25 06:02:25 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#14) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 17 Anand Avati 2014-06-25 06:37:05 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#15) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 18 Anand Avati 2014-06-25 06:56:06 UTC
COMMIT: http://review.gluster.org/8155 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 5740fd404827a70e6318b6fff5773a9d9234d704
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Mon Jun 23 13:20:07 2014 -0700

    glusterd: Use mkdir_p to create DEFAULT_WORKDIR
    
    On non-Linux platforms FSH(Filesystem Hierarchy Standard)
    is not followed 'create' the default expected directory.
    
    Change-Id: Ia55dc99aa398efb6d2d140985cbc0ae11bdc763c
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8155
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>

Comment 19 Anand Avati 2014-06-25 06:58:10 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#16) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 20 Anand Avati 2014-06-26 18:05:36 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#17) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 21 Anand Avati 2014-06-26 18:29:05 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#18) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 22 Anand Avati 2014-06-26 21:04:43 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#19) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 23 Anand Avati 2014-06-26 21:29:57 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#20) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 24 Anand Avati 2014-06-26 21:43:10 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#21) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 25 Anand Avati 2014-06-26 22:58:21 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#22) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 26 Anand Avati 2014-06-30 02:06:01 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#23) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 27 Anand Avati 2014-06-30 02:06:07 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 28 Anand Avati 2014-06-30 04:23:01 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 29 Anand Avati 2014-06-30 04:23:08 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#24) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 30 Anand Avati 2014-06-30 16:28:20 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 31 Anand Avati 2014-06-30 16:28:27 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#25) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 32 Anand Avati 2014-06-30 16:28:33 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 33 Anand Avati 2014-06-30 17:05:14 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 34 Anand Avati 2014-06-30 17:05:24 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 35 Anand Avati 2014-06-30 17:05:30 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#26) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 36 Anand Avati 2014-07-02 06:35:10 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 37 Anand Avati 2014-07-02 06:35:16 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 38 Anand Avati 2014-07-02 06:35:23 UTC
REVIEW: http://review.gluster.org/8141 (porting: Port for FreeBSD rebased from Mike Ma's efforts) posted (#27) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 39 Anand Avati 2014-07-03 00:20:43 UTC
COMMIT: http://review.gluster.org/8141 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 1b74cf992986287a510fe3b28a8ee7554e8b0992
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sat Jun 21 02:00:23 2014 -0700

    porting: Port for FreeBSD rebased from Mike Ma's efforts
    
    - Provides a working Gluster Management Daemon, CLI
    - Provides a working GlusterFS server, GlusterNFS server
    - Provides a working GlusterFS client
    - execinfo port from FreeBSD is moved into ./contrib/libexecinfo
      for ease of portability on NetBSD. (FreeBSD 10 and OSX provide
      execinfo natively)
    - More portability cleanups for Darwin, FreeBSD and NetBSD
    - Provides a new rc script for FreeBSD
    
    Change-Id: I8dff336f97479ca5a7f9b8c6b730051c0f8ac46f
    BUG: 1111774
    Original-Author: Mike Ma <mikemandarine@gmail.com>
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8141
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 40 Anand Avati 2014-07-03 00:22:52 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 41 Anand Avati 2014-07-03 00:22:59 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 42 Anand Avati 2014-07-03 00:25:29 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 43 Anand Avati 2014-07-03 00:25:36 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 44 Anand Avati 2014-07-03 00:27:45 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 45 Anand Avati 2014-07-03 00:27:53 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 46 Anand Avati 2014-07-04 03:25:08 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 47 Anand Avati 2014-07-04 03:25:14 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 48 Anand Avati 2014-07-05 18:53:43 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#10) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 49 Anand Avati 2014-07-05 18:53:51 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 50 Anand Avati 2014-07-07 01:16:42 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 51 Anand Avati 2014-07-07 01:16:51 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 52 Anand Avati 2014-07-07 01:16:54 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 53 Anand Avati 2014-07-07 20:36:36 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#12) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 54 Anand Avati 2014-07-07 20:36:44 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 55 Anand Avati 2014-07-07 20:36:48 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#10) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 56 Anand Avati 2014-07-09 17:47:44 UTC
REVIEW: http://review.gluster.org/8199 (porting: Change glusterd defaultworkdir for cross platform) posted (#13) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 57 Anand Avati 2014-07-09 17:47:48 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 58 Anand Avati 2014-07-09 17:47:51 UTC
REVIEW: http://review.gluster.org/8206 (porting: loff_t is off_t on non-linux platforms) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 59 Anand Avati 2014-07-09 20:30:12 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 60 Anand Avati 2014-07-10 05:22:54 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 61 Anand Avati 2014-07-10 20:25:54 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 62 Anand Avati 2014-07-10 20:31:28 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 63 Anand Avati 2014-07-10 22:03:13 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 64 Anand Avati 2014-07-11 05:26:28 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 65 Anand Avati 2014-07-11 20:23:10 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#10) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 66 Anand Avati 2014-07-14 19:11:46 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 67 Anand Avati 2014-07-14 19:21:20 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#12) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 68 Anand Avati 2014-07-16 22:42:50 UTC
REVIEW: http://review.gluster.org/8319 (porting: extattr_remove_fd() doesn't exist) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 69 Anand Avati 2014-07-16 22:50:24 UTC
REVIEW: http://review.gluster.org/8320 (porting: include compat-errno.h for errno's) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 70 Anand Avati 2014-07-17 20:05:21 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#13) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 71 Anand Avati 2014-07-17 20:06:07 UTC
REVIEW: http://review.gluster.org/8319 (porting: extattr_remove_fd() doesn't exist) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 72 Anand Avati 2014-07-17 20:06:38 UTC
REVIEW: http://review.gluster.org/8320 (porting: include compat-errno.h for errno's) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 73 Anand Avati 2014-07-18 07:51:40 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#14) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 74 Anand Avati 2014-07-18 08:01:24 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#15) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 75 Anand Avati 2014-07-18 22:59:01 UTC
COMMIT: http://review.gluster.org/8319 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit f548db88ad78c24124befef9473792a574f7e157
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Wed Jul 16 15:41:05 2014 -0700

    porting: extattr_remove_fd() doesn't exist
    
    Fix typo extattr_remove_fd() --> extattr_delete_fd()
    
    Change-Id: I0dc3399722eb272d3c04836726e22b212ef15eba
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8319
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 76 Anand Avati 2014-07-18 23:01:47 UTC
REVIEW: http://review.gluster.org/8335 (porting: extattr_remove_fd() doesn't exist) posted (#1) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

Comment 77 Anand Avati 2014-07-19 01:42:56 UTC
REVIEW: http://review.gluster.org/8335 (porting: extattr_remove_fd() doesn't exist) posted (#2) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

Comment 78 Anand Avati 2014-07-20 07:48:57 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#16) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 79 Anand Avati 2014-07-20 09:07:04 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#17) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 80 Anand Avati 2014-07-22 01:33:27 UTC
REVIEW: http://review.gluster.org/8320 (porting: include compat-errno.h for errno's) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 81 Anand Avati 2014-07-22 01:35:01 UTC
COMMIT: http://review.gluster.org/8335 committed in release-3.6 by Harshavardhana (harsha@harshavardhana.net) 
------
commit 4e88f03172be803e54c852e2a36a8191ce88c46f
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Wed Jul 16 15:41:05 2014 -0700

    porting: extattr_remove_fd() doesn't exist
    
    Fix typo extattr_remove_fd() --> extattr_delete_fd()
    
    Change-Id: I0dc3399722eb272d3c04836726e22b212ef15eba
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8335
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 82 Anand Avati 2014-07-22 16:51:04 UTC
COMMIT: http://review.gluster.org/8320 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit b1cf59bf134105de678f42e96b3c96fd62d7f224
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Wed Jul 16 15:49:48 2014 -0700

    porting: include compat-errno.h for errno's
    
    disperse module fails to compile since
    ENODATA is non-existent on FreeBSD/Darwin
    
    Use errno conversion in compat-errno.h to avoid
    build issues.
    
    Change-Id: I8203b7195c198c77202bde9bbec1813a487f923a
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8320
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>

Comment 83 Anand Avati 2014-07-22 16:54:59 UTC
REVIEW: http://review.gluster.org/8350 (porting: include compat-errno.h for errno's) posted (#1) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

Comment 84 Anand Avati 2014-07-24 20:07:48 UTC
COMMIT: http://review.gluster.org/8350 committed in release-3.6 by Harshavardhana (harsha@harshavardhana.net) 
------
commit 8d75177c74eb18a7a6ec37b3550898eeffe87b8e
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Tue Jul 22 09:54:08 2014 -0700

    porting: include compat-errno.h for errno's
    
    disperse module fails to compile since
    ENODATA is non-existent on FreeBSD/Darwin
    
    Use errno conversion in compat-errno.h to avoid
    build issues.
    
    Change-Id: I0126224f06365e0b8fac16c205f1294863dc2bc4
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8350
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 85 Anand Avati 2014-07-24 20:09:51 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#18) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 86 Anand Avati 2014-07-26 03:31:10 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#19) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 87 Anand Avati 2014-07-26 04:14:10 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#20) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 88 Anand Avati 2014-07-27 10:03:11 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#21) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 89 Anand Avati 2014-07-27 18:58:16 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#22) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 90 Anand Avati 2014-07-27 20:49:44 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#23) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 91 Anand Avati 2014-07-29 00:50:17 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#24) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 92 Anand Avati 2014-07-31 07:55:22 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#25) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 93 Anand Avati 2014-08-01 16:36:59 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#26) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 94 Anand Avati 2014-08-04 08:02:44 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#27) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 95 Anand Avati 2014-08-04 21:18:13 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#28) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 96 Anand Avati 2014-08-06 05:45:43 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#29) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 97 Anand Avati 2014-08-06 05:57:39 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#30) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 98 Anand Avati 2014-08-06 06:03:38 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#31) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 99 Anand Avati 2014-08-06 07:10:50 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#32) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 100 Anand Avati 2014-08-06 22:01:17 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#33) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 101 Anand Avati 2014-08-06 23:48:58 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#34) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 102 Anand Avati 2014-08-07 02:50:05 UTC
REVIEW: http://review.gluster.org/8246 (build: make GLUSTERD_WORKDIR rely on localstatedir) posted (#35) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 103 Anand Avati 2014-08-07 08:17:36 UTC
COMMIT: http://review.gluster.org/8246 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 2ec6ea43f2ddc6c00a030be6d04c00f0924277b7
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sun Jun 29 18:56:44 2014 -0700

    build: make GLUSTERD_WORKDIR rely on localstatedir
    
    - Break-way from '/var/lib/glusterd' hard-coded previously,
      instead rely on 'configure' value from 'localstatedir'
    - Provide 's/lib/db' as default working directory for gluster
      management daemon for BSD and Darwin based installations
    - loff_t is really off_t on Darwin
    - fix-off the warnings generated by clang on FreeBSD/Darwin
    - Now 'tests/*' use GLUSTERD_WORKDIR a common variable for all
      platforms.
    - Define proper environment for running tests, define correct PATH
      and LD_LIBRARY_PATH when running tests, so that the desired version
      of glusterfs is used, regardless where it is installed.
      (Thanks to manu@netbsd.org for this additional work)
    
    Change-Id: I2339a0d9275de5939ccad3e52b535598064a35e7
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-on: http://review.gluster.org/8246
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 104 Anand Avati 2014-08-08 09:00:57 UTC
REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 105 Anand Avati 2014-08-08 10:14:06 UTC
REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 106 Anand Avati 2014-08-08 17:21:35 UTC
REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 107 Anand Avati 2014-08-08 17:46:03 UTC
REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 108 Anand Avati 2014-08-11 06:31:18 UTC
REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 109 Anand Avati 2014-08-11 15:54:43 UTC
REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 110 Anand Avati 2014-08-11 15:57:14 UTC
REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 111 Anand Avati 2014-08-13 18:00:08 UTC
REVIEW: http://review.gluster.org/8435 (porting: FreeBSD related changes to regression scripts) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 112 Anand Avati 2014-08-14 05:01:33 UTC
COMMIT: http://review.gluster.org/8435 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 8116328a6b4ead0207fc5f93fcac9a2606c6f6ab
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Fri Aug 8 01:56:23 2014 -0700

    porting: FreeBSD related changes to regression scripts
    
    - json_verify do not use '/usr/bin' let bash evaluate the location
    - TEST for test code compilation `bug-1051896.t`, `bug-1058663.t`,
      bug-905864.t
    - run-tests.sh - better checks for installed packages
    
    Change-Id: Ic7feda36ddfc082c609aabd75da2e9a8f59a92b3
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8435
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Emmanuel Dreyfus <manu@netbsd.org>
    Tested-by: Emmanuel Dreyfus <manu@netbsd.org>

Comment 113 Niels de Vos 2014-09-22 12:43:37 UTC
A beta release for GlusterFS 3.6.0 has been released. Please verify if the release solves this bug report for you. In case the glusterfs-3.6.0beta1 release does not have a resolution for this issue, leave a comment in this bug and move the status to ASSIGNED. If this release fixes the problem for you, leave a note and change the status to VERIFIED.

Packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update (possibly an "updates-testing" repository) infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-September/018836.html
[2] http://supercolony.gluster.org/pipermail/gluster-users/

Comment 114 Niels de Vos 2014-11-11 08:35:48 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.6.1, please reopen this bug report.

glusterfs-3.6.1 has been announced [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-November/019410.html
[2] http://supercolony.gluster.org/mailman/listinfo/gluster-users

Comment 115 Markiyan Kushnir 2014-12-07 22:55:26 UTC
(In reply to Niels de Vos from comment #114)
> This bug is getting closed because a release has been made available that
> should address the reported issue. In case the problem is still not fixed
> with glusterfs-3.6.1, please reopen this bug report.
> 
> glusterfs-3.6.1 has been announced [1], packages for several distributions
> should become available in the near future. Keep an eye on the Gluster Users
> mailinglist [2] and the update infrastructure for your distribution.
> 
> [1]
> http://supercolony.gluster.org/pipermail/gluster-users/2014-November/019410.
> html
> [2] http://supercolony.gluster.org/mailman/listinfo/gluster-users

On FreeBSD 11-CURRENT as of around Dec 4, I'm getting this one when making glusterfs-3.6.1:

[...]
Making all in src
  CC     cdc.lo
libtool: compile: can not build a shared library
libtool: compile: See the libtool documentation for more information.
libtool: compile: Fatal configuration error.
*** Error code 1

Stop.
make[5]: stopped in /data2/mkushnir/tmp/Downloads/1/glusterfs-3.6.1/xlators/features/compress/src
*** Error code 1

Stop.
make[4]: stopped in /data2/mkushnir/tmp/Downloads/1/glusterfs-3.6.1/xlators/features/compress
*** Error code 1

Stop.
make[3]: stopped in /data2/mkushnir/tmp/Downloads/1/glusterfs-3.6.1/xlators/features
*** Error code 1

Stop.
make[2]: stopped in /data2/mkushnir/tmp/Downloads/1/glusterfs-3.6.1/xlators
*** Error code 1

Stop.
make[1]: stopped in /data2/mkushnir/tmp/Downloads/1/glusterfs-3.6.1
*** Error code 1

Stop.
make: stopped in /data2/mkushnir/tmp/Downloads/1/glusterfs-3.6.1



Here is my autotools versions (if someone need it):

pkg info -ix automake autoconf
automake-1.14_1
automake-wrapper-20131203
autoconf-2.69
autoconf-wrapper-20131203
autoconf213-2.13.000227_6

I'm also attaching a patch to two Makefile.am files that fixed the build issue to me.

Comment 116 Markiyan Kushnir 2014-12-07 22:56:40 UTC
Created attachment 965653 [details]
proposed patch to fix a build error

Comment 117 Markiyan Kushnir 2014-12-07 23:04:33 UTC
(In reply to Niels de Vos from comment #114)
> This bug is getting closed because a release has been made available that
> should address the reported issue. In case the problem is still not fixed
> with glusterfs-3.6.1, please reopen this bug report.
> 
> glusterfs-3.6.1 has been announced [1], packages for several distributions
> should become available in the near future. Keep an eye on the Gluster Users
> mailinglist [2] and the update infrastructure for your distribution.
> 
> [1]
> http://supercolony.gluster.org/pipermail/gluster-users/2014-November/019410.
> html
> [2] http://supercolony.gluster.org/mailman/listinfo/gluster-users

I don't seem to have rights to re-open this bug?

Comment 118 Anand Avati 2014-12-08 01:00:40 UTC
REVIEW: http://review.gluster.org/9251 (build: FreeBSD 11-Current causes libtool to fail with '-shared') posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

Comment 119 Anand Avati 2014-12-12 09:21:54 UTC
COMMIT: http://review.gluster.org/9251 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 12c15f47fe68bcf8b32f55f3ca42638fd4eda998
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sun Dec 7 16:57:54 2014 -0800

    build: FreeBSD 11-Current causes libtool to fail with '-shared'
    
    Thanks for Markiyan Kushnir <markiyan.kushnir@gmail.com> for
    reporting this
    
    Change-Id: I7f637295c7c2d54c33a4c16e29daf0b518874911
    BUG: 1111774
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/9251
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 122 Niels de Vos 2015-05-14 17:26:02 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 123 Niels de Vos 2015-05-14 17:35:27 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 124 Niels de Vos 2015-05-14 17:37:49 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 125 Niels de Vos 2015-05-14 17:42:30 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.